/*
	Autor: 
		PUM! estudio

	Index:
		0 -- Variables
		1 -- Main
		2 -- Layers
		3 -- Boxes
			-- Slider
*/

@charset "UTF-8";




/* 0 -- Variables */

:root {
	--box-p-t-l: var(--unit-40);
	--box-p-b-l: var(--unit-40);
	--box-p-t: var(--unit-25);
	--box-p-b: var(--unit-25);
	--box-p-t-s: var(--unit-20);
	--box-p-b-s: var(--unit-20);

	@media ( max-width: 720px ) { 
		--box-p-t-l: var(--unit-30);
		--box-p-b-l: var(--unit-30);
		--box-p-t: var(--unit-20);
		--box-p-b: var(--unit-20);
		--box-p-t-s: var(--unit-10);
		--box-p-b-s: var(--unit-10);
	} 
}




/* 1 -- Main */

.main img,
.main video { display: block; width: 100%;}




/* 2 -- Layers */

.layers { position: relative; color: var(--c-white);}
.layers-fg { position: relative; z-index: 2;}
.layers-bg { position: absolute; top: 0; left: 0; z-index: 1; width: 100%; height: 100%; overflow: hidden;}
.layers-bg img,
.layers-bg video { width: 100%; height: 100%; object-fit: cover;}
.layers-bg::after { content: ''; display: block; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background-color: var(--c-black); opacity: .4; }




/* 3 -- Boxes */

.box { padding-top: var(--box-p-t); padding-bottom: var(--box-p-b);}
.box.box-l { padding-top: var(--box-p-t-l); padding-bottom: var(--box-p-b-l);}
.box.box-s { padding-top: var(--box-p-t-s); padding-bottom: var(--box-p-b-s);}

.box-of-h { overflow: hidden;}


/* -- Marquee */
.box-marquee { position: fixed; bottom: 0; left: 0; z-index: 1000; width: 100%;}


/* -- Open */
.box-open .box-open-content .cta { display: none;}

@container style(--size-m: true) {	
	.box-open { --box-p-t: var(--unit-12); --box-p-b: var(--unit-8);}
	.box-open .box-open-content .box-open-content-in { display: -webkit-box; -webkit-box-orient: vertical; -webkit-line-clamp: 100000; overflow: hidden; text-overflow: ellipsis; max-height: calc(2 * var(--txt-body-lh)); transition: max-height 0.8s var(--bezier);}
	.box-open .box-open-content.line-clamp .box-open-content-in { -webkit-line-clamp: 2;}
	.box-open .box-open-content .cta { display: flex;}
	.box-open .box-open-content .cta .icon { display: block;}
	.box-open .box-open-content .cta .more,
	.box-open .box-open-content .cta .less { display: inline-flex; overflow: hidden; white-space: nowrap;}
	.box-open .box-open-content .cta .more { max-width: 100cqw; transition: max-width .8s var(--bezier-2);}
	.box-open .box-open-content .cta .less { max-width: 0; transition: max-width .4s var(--bezier);}
	.box-open .box-open-content.active .box-open-content-in { max-height: 100cqh;}
	.box-open .box-open-content.active .cta .less { max-width: 100cqw; transition: max-width .8s var(--bezier-2);}
	.box-open .box-open-content.active .cta .more { max-width: 0; transition: max-width .4s var(--bezier);}
	
	.box-open .box-open-content .cta .icon-b-plus::before { content: ''; display: block; width: 100%; height: 100%; background-image: var(--icon-b-less); background-size: cover; position: absolute; top: 0; left: 0; transform: scaleX(0); transform-origin: center center; transition: transform .8s var(--bezier-2);}
	.box-open .box-open-content .cta .icon-b-plus::after { transform: scale(1); transition: transform .8s var(--bezier-2); }
	.box-open .box-open-content .cta.hover .icon-b-plus::after { transform: scale(1) rotate(90deg); }
	.box-open .box-open-content.active .cta .icon-b-plus::before { transform: scaleX(1);}
	.box-open .box-open-content.active .cta .icon-b-plus::after { transform: scale(0);}
	.box-open .box-open-content.active .cta.hover .icon-b-plus::before { transform: scaleX(1);}
}


/* -- Grid */
.box-grid { --box-p-t: var(--unit-4); --box-p-b: var(--unit-25);}

@container style(--size-m: true) {	
	.box-grid { --box-p-t: var(--unit-4); --box-p-b: var(--unit-12);}
}


/* -- List */
.box-list { --box-p-t: var(--unit-4); --box-p-b: var(--unit-25);}
.box-list-in { position: relative;}
.box-list-bg { position: absolute; top: 0; left: 50%; z-index: 1; width: calc(100% - var(--gutter)); height: 0; transform: translateX(-50%); transform-origin: center top; background-color: var(--c-blue); transition: all .4s var(--bezier-2);}
.box-list-item { position: relative; z-index: 2; display: block; padding: var(--unit-6) var(--unit-3); text-decoration: none;}
.box-list-item .list-item-info { color: var(--c-black-200); transition: color .4s var(--bezier);}
.box-list-item .icon { opacity: 0; transition: all .4s var(--bezier);}
.box-list-item.hover .list-item-info { color: var(--c-black);}
.box-list-item.hover .icon { opacity: 1; transform: translateX(.8rem);}

@container style(--size-m: true) {	
	.box-list { --box-p-t: var(--unit-4); --box-p-b: var(--unit-12);}
	.box-list-item { padding: var(--unit-3);}
}

@container style(--size-s: true) {	
	.box-list-item .list-item-info > div { width: auto;}
}


/* -- Text */
.box-text { --box-p-t: var(--unit-10); --box-p-b: var(--unit-25);}

@container style(--size-m: true) {	
	.box-text { --box-p-t: var(--unit-4); --box-p-b: var(--unit-12);}
}


/* -- Video Player */
.box-video-player { --box-p-t: calc(var(--padd) + var(--padd-main)); --box-p-b: calc(var(--padd) + var(--padd-main));}


/* -- Open Detail */
.box-open-detail { --box-p-b: var(--unit-10);}


/* -- Logos */
.box-logos .box-logos-row { padding-bottom: var(--unit-20);}
.box-logos .box-logos-row::before { content: ''; display: block; width: 100%; height: .3rem; background-color: var(--c-black); margin-bottom: var(--unit-5);}
.box-logos .box-logos-row .box-logos-item { padding: var(--unit-10); width: calc(100%/12 * 2);}
.box-logos .box-logos-row .box-logos-item .unit-media { aspect-ratio: 1/1;}
.box-logos .box-logos-row .box-logos-item.large { width: calc(100%/12 * 4);}
.box-logos .box-logos-row .box-logos-item.large .unit-media { aspect-ratio: 2/1;}

@container style(--size-m: true) {	
	.box-logos .box-logos-row { padding-bottom: var(--unit-10);}
	.box-logos .box-logos-row::before { margin-bottom: var(--unit-3);}
	.box-logos .box-logos-row .box-logos-item { width: calc(100%/3); padding: var(--unit-5);}
	.box-logos .box-logos-row .box-logos-item.large { width: 100%;}
	.box-logos .box-logos-row .box-logos-item.large .unit-media { padding: 0;}
}


/* -- 404 */
.box-404 { height: 90dvh;}
.box-404 mark { background: linear-gradient(var(--c-yellow), var(--c-yellow));}
.box-404 a { text-decoration: underline; text-decoration-thickness: 0.06em; text-underline-offset: 0.16em;}
@container style(--size-m: true) {	
	.box-404 { display: flex; flex-direction: column; justify-content: center;}
}


/* -- Form - Itinerario */ 
.box-form.box-form-itinerario { --box-p-t: var(--gutter);}
.box-form.box-form-itinerario ::placeholder { color: var(--c-black);}
.box-form.box-form-itinerario input[type=submit] { background-color: var(--c-white); border-color: var(--c-white);}
.box-form.box-form-itinerario input[type=submit].hover { background-color: var(--c-black-100); border-color: var(--c-black-100);}


/* -- Scroll Scale */ 
.box-scroll-scale .unit-ctas .unit-ctas-space { flex-grow: 1;}


/* -- WPML */ 
.otgs-development-site-front-end { display: none;}




/* The end -- :P */